<?php
// Ścieżka do katalogu, w którym przechowywana jest biblioteka nusoap
set_include_path('../libs/nusoap');

// Dołączenie biblioteki nusoap
require_once('nusoap.php');

# Przykład wywołania metody getCertificate, umożliwiającej wygenerowanie potwierdzenia nadania lub odbioru przesyłki

$sLogin = ""; // Login konta w Postivo.pl
$sApiPass = ""; // Hasło dostępu do konta przez API
	
// Identyfikator przesyłki
$sDispatchId = "T00000001";

// Rodzaj potwierdzenia (1 - potwierdzenie nadania przesyłki, 2 - potwierdzenie odbioru przesyłki)
$iCertificateType = 1;

// Utworzenie klienta SOAP:
$client = new nusoap_client("http://api.postivo.pl/webservices.php?wsdl", true); 

// Ustawienie standardu kodowania znaków
$client->soap_defencoding = 'UTF-8';
$client->decode_utf8 = false;

// Wywołanie metody getCertificate z przekazaniem wszystkich parametrów
$output = $client->call('getCertificate',
		    array(
		        'login' => $sLogin,
		        'api_pass' => $sApiPass,
		    	'dispatch_id' => $sDispatchId,
		    	'certificate_type' => $iCertificateType
		    )
		);

// Przykład obsługi danych wyjściowych:
if ($output['cert_available'] === false)
{
	echo "Status żądania: ".$output['result'].", kod statusu żądania: ".$output['result_code'].", opis statusu żądania: ".$output['result_description']."<br />";
	echo "Potwierdzenie nie jest dostępne.";
}
else 
{
	$sCertificate = base64_decode($output['cert_content']);
	header("Content-type: application/pdf");
	header("Content-Length: ".strlen($sCertificate));
	header("Content-Disposition: attachment; filename=Potwierdzenie.pdf");
	echo $sCertificate;
}
?>