<?php
// Ścieżka do katalogu, w którym przechowywana jest biblioteka nusoap
set_include_path('../libs/nusoap');

// Dołączenie biblioteki nusoap
require_once('nusoap.php');

# Przykład wywołania metody getPrice, umożliwiającej sprawdzenie kosztu przesyłki

$sLogin = ""; // Login konta w Postivo.pl
$sApiPass = ""; // Hasło dostępu do konta przez API

$iMsgType = 1; // Typ przesyłki (1-przesyłka listowa, 2-Fax)

// Tablica zawierająca zawartość plików z dokumentami, które powinny być umieszczone
// w przesyłce (Mozna podac wiele plików jako kolejne elementy tablicy)
$arDocFiles = array(
					array("file_stream" => base64_encode(file_get_contents("http://bramka.gsmservice.pl/docs/HTTP_API_Bramka_SMS.pdf")),
						  "file_name" => "Nazwa_Pliku.pdf")
					);
					
// Tablica zawierająca dane odbiorców przesyłek, id odbiorcy w książce adresowej
// lub id grupy odbiorców
$arRecipients = array(
					// Dane odbiorców podane bezpośrednio:
					array("id" => 0 ,"source" => "inline", "recipient_name" => "Jan Nowak",
						  "recipient_address_prefix" => "ul.", "recipient_address" => "Przykładowa",
						  "recipient_home_number" => "2", "recipient_flat_number" => "5",
						  "recipient_post_code" => "00-999", "recipient_city" => "Warszawa",
						  "recipient_fax_number" => "000000000"),
					// Odbiorca z książki adresowej
					array("source" => "book", "id" => 1),
					// Odbiorcy z grupy odbiorców
					array("source" => "group", "id" => 5)
				);
					
// ID profilu konfiguracji (0 - konfiguracja domyślna - najtańsza)
$iConfigId = 0;

// Utworzenie klienta SOAP:
$client = new nusoap_client("http://api.postivo.pl/webservices.php?wsdl", true); 

// Ustawienie standardu kodowania znaków
$client->soap_defencoding = 'UTF-8';
$client->decode_utf8 = false;

// Wywołanie metody getPrice z przekazaniem wszystkich parametrów
$output = $client->call('getPrice',
		    array(
		        'login' => $sLogin,
		        'api_pass' => $sApiPass,
		    	'msg_type' => $iMsgType,
		    	'document_files' => $arDocFiles,
		    	'recipients' => $arRecipients,
		    	'config_id' => $iConfigId
		    )
		);

// Przykład obsługi danych wyjściowych:
echo "Status żądania: ".$output['result'].", kod statusu żądania: ".$output['result_code'].", opis statusu żądania: ".$output['result_description']."<br />";
for($i=0; $i<count($output['shipments_price']); $i++)
{
	echo "<br />".($i+1).". Przesyłka dla: ".$output['shipments_price'][$i]['recipient_name'].", ".$output['shipments_price'][$i]['recipient_address']." ".$output['shipments_price'][$i]['recipient_home_number']."/".$output['shipments_price'][$i]['recipient_flat_number'].", ".$output['shipments_price'][$i]['recipient_post_code']." ".$output['shipments_price'][$i]['recipient_city'].", fax: ".$output['shipments_price'][$i]['recipient_fax_number'].", składająca się z ".$output['shipments_price'][$i]['page_number']." stron, wysłana za pośrednictwem: ".$output['shipments_price'][$i]['dispatch_carrier']." jako: ".$output['shipments_price'][$i]['dispatch_type']." kosztuje ".$output['shipments_price'][$i]['price']." zł netto.";
}
?>